﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Media;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Map;

namespace WpfApplication1
{
    public class FlightPath : ViewModelBase
    {
        public FlightPath(Airport from, Airport to)
        {
            this.From = from;
            this.To = to;

            this.EllipseHeight = 10;
            this.EllipseWidth = 10;
        }

        public double EllipseWidth { get; set; }
        public double EllipseHeight { get; set; }

        public Airport From { get; set; }
        public Airport To { get; set; }
        public Brush FlightPathColor { get; set; }

        public Location DepartureLocation
        {
            get
            {
                return this.From.Location;
            }
        }
        public Location ArrivalLocation
        {
            get
            {
                return this.To.Location;
            }
        }     
    }
}